Bug 6843 - Renew membership from expiry date or from current date
Summary: Renew membership from expiry date or from current date
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.8
Hardware: All All
: P3 enhancement (vote)
Assignee: Koustubha Kale
QA Contact: Paul Poulain
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-05 05:01 UTC by Savitra Sirohi
Modified: 2013-12-05 20:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to allow patron renewal from expiry date with a syspref (4.48 KB, patch)
2011-11-09 07:12 UTC, Koustubha Kale
Details | Diff | Splinter Review
Rebased patch : Patch to allow patron renewal from expiry date or from current date based on a syspref (4.61 KB, patch)
2011-12-14 10:36 UTC, Koustubha Kale
Details | Diff | Splinter Review
Signed off patch - bug 6843 (4.56 KB, patch)
2011-12-15 23:22 UTC, Duncan
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Savitra Sirohi 2011-09-05 05:01:26 UTC
Currently, upon membership renewal, due date is calcuated from current date. Some libraries want the due date to be calculated from current membership expiry date. 

Incude a system preference.
Comment 1 Koustubha Kale 2011-11-09 07:12:17 UTC Comment hidden (obsolete)
Comment 2 Koustubha Kale 2011-12-14 10:36:01 UTC Comment hidden (obsolete)
Comment 3 Duncan 2011-12-15 23:22:05 UTC
Created attachment 6822 [details] [review]
Signed off patch - bug 6843
Comment 4 Paul Poulain 2012-02-02 07:56:08 UTC
QA comment
 * small patch, respect all coding guidelines
 * syspref name is OK
 * small patch

passed QA
Comment 5 Jared Camins-Esakov 2012-12-31 00:32:54 UTC
There have been no further reports of problems so I am marking this bug resolved.